Disconnect the calling member's account for a provider
curl --request POST \
--url https://api.example.com/v1/oauth-providers/{providerId}/disconnectimport requests
url = "https://api.example.com/v1/oauth-providers/{providerId}/disconnect"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/oauth-providers/{providerId}/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Capability Sources
Disconnect the calling member's account for a provider
Removes the stored credential. Mutation — intentionally kept out of the agent-callable MCP surface (see policy.ts BLOCKED_OPERATION_IDS).
POST
/
v1
/
oauth-providers
/
{providerId}
/
disconnect
Disconnect the calling member's account for a provider
Path Parameters
Required string length:
1 - 255Response
Disconnected.
Was this page helpful?
Check whether the calling member has connected a providerList or search Gmail messages as the calling member
⌘I